package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description RepalVip实体对象
 * @author Generator
 * @date 2022-05-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_VIP")
@ApiModel(value="RepalVip实体对象", description="回款助手开通表")
public class RepalVip implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "组织id")
    @TableField("REPAL_GROUP_ID")
    private Long repalGroupId;

    @ApiModelProperty(value = "回款助手特权0：有特权；1：无特权")
    @TableField("REPAL_VIP_SIGN")
    private String repalVipSign;

    @ApiModelProperty(value = "回款助手开始时间")
    @TableField("REPAL_VIP_START_TIME")
    private LocalDateTime repalVipStartTime;

    @ApiModelProperty(value = "回款助手结束时间")
    @TableField("REPAL_VIP_END_TIME")
    private LocalDateTime repalVipEndTime;

    @ApiModelProperty(value = "当前套餐")
    @TableField("CURRENT_ORDER")
    private String currentOrder;

    @ApiModelProperty(value = "短信剩余次数")
    @TableField("SMS_REMAIN_COUNT")
    private Integer smsRemainCount;

    @ApiModelProperty(value = "催款函剩余次数")
    @TableField("LETTER_REMAIN_COUNT")
    private Integer letterRemainCount;

    @ApiModelProperty(value = "咨询剩余次数")
    @TableField("CONSULT_REMAIN_COUNT")
    private Integer consultRemainCount;

    @ApiModelProperty(value = "诉讼剩余次数")
    @TableField("LAWSUIT_REMAIN_COUNT")
    private Integer lawsuitRemainCount;

    @ApiModelProperty(value = "短信总次数")
    @TableField("SMS_TOTAL_COUNT")
    private Integer smsTotalCount;

    @ApiModelProperty(value = "催款函总次数")
    @TableField("LETTER_TOTAL_COUNT")
    private Integer letterTotalCount;

    @ApiModelProperty(value = "咨询总次数")
    @TableField("CONSULT_TOTAL_COUNT")
    private Integer consultTotalCount;

    @ApiModelProperty(value = "诉讼总次数")
    @TableField("LAWSUIT_TOTAL_COUNT")
    private Integer lawsuitTotalCount;


}
