package com.winhc.repal.model.bo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: PageRequest
 * @Author: xda
 * @Date: 2022/4/8 15:15
 */
@Data
@ApiModel("分页")
public class PageRequest {

    @ApiModelProperty(value = "pageNum", required = true)
    private int pageNum = 1;

    @ApiModelProperty(value = "pageSize", required = true)
    private int pageSize = 10;
}
