package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: InitGroupDTO
 * @Author: xda
 * @Date: 2022/5/6 13:43
 */
@Data
@ApiModel("初始化组织")
public class InitGroupDTO {

    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("组织name")
    private String groupName;

    @ApiModelProperty("用户name")
    private String userName;

    @ApiModelProperty("组织信息json")
    private String groupExt;
}
