package com.winhc.repal.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * @Description: ReturnedMoneyVO
 * @Author: xda
 * @Date: 2022/5/9 16:11
 */
@Data
@ApiModel("回款统计")
public class ReturnedMoneyVO {

    @ApiModelProperty("金额，string")
    private String moneyStr;

    @ApiModelProperty("回款日期，string, yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate date;
}
