package com.winhc.repal.mq.bean;

import com.winhc.common.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Map;

/**
 *
 * @author ll
 *
 */
public class SendMsgBean extends BaseDO {
    /**
     * 发送目标
     */
    private String sendTarget;
    private Long userId;
    private String bizName;
    @ApiModelProperty(value = "SMS短信；WX微信消息；MSG站内信")
    private String messageChannel;
    private Map<String, String> param;
    private String paramJson;
    private Map<String, String> extParam;
    private String sendTime;

    public String getSendTarget() {
        return sendTarget;
    }

    public void setSendTarget(String sendTarget) {
        this.sendTarget = sendTarget;
    }

    public String getBizName() {
        return bizName;
    }

    public void setBizName(String bizName) {
        this.bizName = bizName;
    }

    public String getMessageChannel() {
        return messageChannel;
    }

    public void setMessageChannel(String messageChannel) {
        this.messageChannel = messageChannel;
    }

    public Map<String, String> getParam() {
        return param;
    }

    public void setParam(Map<String, String> param) {
        this.param = param;
    }

    public Map<String, String> getExtParam() {
        return extParam;
    }

    public void setExtParam(Map<String, String> extParam) {
        this.extParam = extParam;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    public String getParamJson() {
        return paramJson;
    }

    public void setParamJson(String paramJson) {
        this.paramJson = paramJson;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}
