package com.winhc.repal.repository;

import com.winhc.repal.entity.RepalGroupMember;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.winhc.repal.model.vo.MemberInfoVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @description RepalGroupMember Mapper 接口
 * @author Generator
 * @date 2022-04-13
 */
@Repository
public interface RepalGroupMemberMapper extends BaseMapper<RepalGroupMember> {

    /**
     * 修改可见性
     * @param userId userId
     * @param type type
     * @return int
     * @author xda
     * @date 2022/5/9 11:14
     */
    int updateVisible(@Param("userId") Long userId, @Param("type") Integer type);


    /**
     * 获取用户权限name和组织name
     * @param userId userId
     * @return com.winhc.repal.model.vo.MemberInfoVO
     * @author xda
     * @date 2022/5/23 14:19
     */
    MemberInfoVO getMemberInfo(Long userId);

}
