package com.winhc.repal.cloud.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author: liujian
 * @description: 添加诊断记录的bean
 * @date 2020-01-08 9:27
 */
@Data
public class AddDiagnoseRecordDTO {


    @ApiModelProperty(value = "原告", required = true)
    private String creditorName;

    @ApiModelProperty(value = "被告名称，以顿号隔开", required = true)
    private String debtorName;

    @ApiModelProperty(value = "被告", required = true)
    private List<DiagnosisDebtorDTO> debtorDTOList;

    @ApiModelProperty(value = "标的", required = true)
    private Double caseAmt;

    @ApiModelProperty(value = "1可执行诊断；2能胜诉诊断")
    private Integer diagnosisType;

    @ApiModelProperty(value = "0智能风控；1人工风控")
    private Integer riskMode;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "操作员ID")
    private Integer operId;




}
