package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author Aaron
 * @date 2020/12/16 11:23
 * @description
 */
@Data
@Accessors(chain = true)
@ApiModel(value="智能提醒数量对象")
public class RepalRemindHistoryCountVO {
    @ApiModelProperty(value = "数量类型,枚举(中文):逾期提醒、账款评级、财产线索、风险预警、全部")
    private String countType;

    @ApiModelProperty(value = "数量")
    private Integer count;
}
